# -*- coding: utf-8 -*-
"""Color definitions from CSS Color Module Level 3.

http://www.w3.org/TR/2011/REC-css3-color-20110607
"""
from .color import Color

aliceblue = Color.from_int_triple(240, 248, 255) #: Hex: #F0F8FF
antiquewhite = Color.from_int_triple(250, 235, 215) #: Hex: #FAEBD7
aqua = Color.from_int_triple(0, 255, 255) #: Hex: #00FFFF
aquamarine = Color.from_int_triple(127, 255, 212) #: Hex: #7FFFD4
azure = Color.from_int_triple(240, 255, 255) #: Hex: #F0FFFF
beige = Color.from_int_triple(245, 245, 220) #: Hex: #F5F5DC
bisque = Color.from_int_triple(255, 228, 196) #: Hex: #FFE4C4
black = Color.from_int_triple(0, 0, 0) #: Hex: #000000
blanchedalmond = Color.from_int_triple(255, 235, 205) #: Hex: #FFEBCD
blue = Color.from_int_triple(0, 0, 255) #: Hex: #0000FF
blueviolet = Color.from_int_triple(138, 43, 226) #: Hex: #8A2BE2
brown = Color.from_int_triple(165, 42, 42) #: Hex: #A52A2A
burlywood = Color.from_int_triple(222, 184, 135) #: Hex: #DEB887
cadetblue = Color.from_int_triple(95, 158, 160) #: Hex: #5F9EA0
chartreuse = Color.from_int_triple(127, 255, 0) #: Hex: #7FFF00
chocolate = Color.from_int_triple(210, 105, 30) #: Hex: #D2691E
coral = Color.from_int_triple(255, 127, 80) #: Hex: #FF7F50
cornflowerblue = Color.from_int_triple(100, 149, 237) #: Hex: #6495ED
cornsilk = Color.from_int_triple(255, 248, 220) #: Hex: #FFF8DC
crimson = Color.from_int_triple(220, 20, 60) #: Hex: #DC143C
cyan = Color.from_int_triple(0, 255, 255) #: Hex: #00FFFF
darkblue = Color.from_int_triple(0, 0, 139) #: Hex: #00008B
darkcyan = Color.from_int_triple(0, 139, 139) #: Hex: #008B8B
darkgoldenrod = Color.from_int_triple(184, 134, 11) #: Hex: #B8860B
darkgray = Color.from_int_triple(169, 169, 169) #: Hex: #A9A9A9
darkgreen = Color.from_int_triple(0, 100, 0) #: Hex: #006400
darkgrey = Color.from_int_triple(169, 169, 169) #: Hex: #A9A9A9
darkkhaki = Color.from_int_triple(189, 183, 107) #: Hex: #BDB76B
darkmagenta = Color.from_int_triple(139, 0, 139) #: Hex: #8B008B
darkolivegreen = Color.from_int_triple(85, 107, 47) #: Hex: #556B2F
darkorange = Color.from_int_triple(255, 140, 0) #: Hex: #FF8C00
darkorchid = Color.from_int_triple(153, 50, 204) #: Hex: #9932CC
darkred = Color.from_int_triple(139, 0, 0) #: Hex: #8B0000
darksalmon = Color.from_int_triple(233, 150, 122) #: Hex: #E9967A
darkseagreen = Color.from_int_triple(143, 188, 143) #: Hex: #8FBC8F
darkslateblue = Color.from_int_triple(72, 61, 139) #: Hex: #483D8B
darkslategray = Color.from_int_triple(47, 79, 79) #: Hex: #2F4F4F
darkslategrey = Color.from_int_triple(47, 79, 79) #: Hex: #2F4F4F
darkturquoise = Color.from_int_triple(0, 206, 209) #: Hex: #00CED1
darkviolet = Color.from_int_triple(148, 0, 211) #: Hex: #9400D3
deeppink = Color.from_int_triple(255, 20, 147) #: Hex: #FF1493
deepskyblue = Color.from_int_triple(0, 191, 255) #: Hex: #00BFFF
dimgray = Color.from_int_triple(105, 105, 105) #: Hex: #696969
dimgrey = Color.from_int_triple(105, 105, 105) #: Hex: #696969
dodgerblue = Color.from_int_triple(30, 144, 255) #: Hex: #1E90FF
firebrick = Color.from_int_triple(178, 34, 34) #: Hex: #B22222
floralwhite = Color.from_int_triple(255, 250, 240) #: Hex: #FFFAF0
forestgreen = Color.from_int_triple(34, 139, 34) #: Hex: #228B22
fuchsia = Color.from_int_triple(255, 0, 255) #: Hex: #FF00FF
gainsboro = Color.from_int_triple(220, 220, 220) #: Hex: #DCDCDC
ghostwhite = Color.from_int_triple(248, 248, 255) #: Hex: #F8F8FF
gold = Color.from_int_triple(255, 215, 0) #: Hex: #FFD700
goldenrod = Color.from_int_triple(218, 165, 32) #: Hex: #DAA520
gray = Color.from_int_triple(128, 128, 128) #: Hex: #808080
green = Color.from_int_triple(0, 128, 0) #: Hex: #008000
greenyellow = Color.from_int_triple(173, 255, 47) #: Hex: #ADFF2F
grey = Color.from_int_triple(128, 128, 128) #: Hex: #808080
honeydew = Color.from_int_triple(240, 255, 240) #: Hex: #F0FFF0
hotpink = Color.from_int_triple(255, 105, 180) #: Hex: #FF69B4
indianred = Color.from_int_triple(205, 92, 92) #: Hex: #CD5C5C
indigo = Color.from_int_triple(75, 0, 130) #: Hex: #4B0082
ivory = Color.from_int_triple(255, 255, 240) #: Hex: #FFFFF0
khaki = Color.from_int_triple(240, 230, 140) #: Hex: #F0E68C
lavender = Color.from_int_triple(230, 230, 250) #: Hex: #E6E6FA
lavenderblush = Color.from_int_triple(255, 240, 245) #: Hex: #FFF0F5
lawngreen = Color.from_int_triple(124, 252, 0) #: Hex: #7CFC00
lemonchiffon = Color.from_int_triple(255, 250, 205) #: Hex: #FFFACD
lightblue = Color.from_int_triple(173, 216, 230) #: Hex: #ADD8E6
lightcoral = Color.from_int_triple(240, 128, 128) #: Hex: #F08080
lightcyan = Color.from_int_triple(224, 255, 255) #: Hex: #E0FFFF
lightgoldenrodyellow = Color.from_int_triple(250, 250, 210) #: Hex: #FAFAD2
lightgray = Color.from_int_triple(211, 211, 211) #: Hex: #D3D3D3
lightgreen = Color.from_int_triple(144, 238, 144) #: Hex: #90EE90
lightgrey = Color.from_int_triple(211, 211, 211) #: Hex: #D3D3D3
lightpink = Color.from_int_triple(255, 182, 193) #: Hex: #FFB6C1
lightsalmon = Color.from_int_triple(255, 160, 122) #: Hex: #FFA07A
lightseagreen = Color.from_int_triple(32, 178, 170) #: Hex: #20B2AA
lightskyblue = Color.from_int_triple(135, 206, 250) #: Hex: #87CEFA
lightslategray = Color.from_int_triple(119, 136, 153) #: Hex: #778899
lightslategrey = Color.from_int_triple(119, 136, 153) #: Hex: #778899
lightsteelblue = Color.from_int_triple(176, 196, 222) #: Hex: #B0C4DE
lightyellow = Color.from_int_triple(255, 255, 224) #: Hex: #FFFFE0
lime = Color.from_int_triple(0, 255, 0) #: Hex: #00FF00
limegreen = Color.from_int_triple(50, 205, 50) #: Hex: #32CD32
linen = Color.from_int_triple(250, 240, 230) #: Hex: #FAF0E6
magenta = Color.from_int_triple(255, 0, 255) #: Hex: #FF00FF
maroon = Color.from_int_triple(128, 0, 0) #: Hex: #800000
mediumaquamarine = Color.from_int_triple(102, 205, 170) #: Hex: #66CDAA
mediumblue = Color.from_int_triple(0, 0, 205) #: Hex: #0000CD
mediumorchid = Color.from_int_triple(186, 85, 211) #: Hex: #BA55D3
mediumpurple = Color.from_int_triple(147, 112, 219) #: Hex: #9370DB
mediumseagreen = Color.from_int_triple(60, 179, 113) #: Hex: #3CB371
mediumslateblue = Color.from_int_triple(123, 104, 238) #: Hex: #7B68EE
mediumspringgreen = Color.from_int_triple(0, 250, 154) #: Hex: #00FA9A
mediumturquoise = Color.from_int_triple(72, 209, 204) #: Hex: #48D1CC
mediumvioletred = Color.from_int_triple(199, 21, 133) #: Hex: #C71585
midnightblue = Color.from_int_triple(25, 25, 112) #: Hex: #191970
mintcream = Color.from_int_triple(245, 255, 250) #: Hex: #F5FFFA
mistyrose = Color.from_int_triple(255, 228, 225) #: Hex: #FFE4E1
moccasin = Color.from_int_triple(255, 228, 181) #: Hex: #FFE4B5
navajowhite = Color.from_int_triple(255, 222, 173) #: Hex: #FFDEAD
navy = Color.from_int_triple(0, 0, 128) #: Hex: #000080
oldlace = Color.from_int_triple(253, 245, 230) #: Hex: #FDF5E6
olive = Color.from_int_triple(128, 128, 0) #: Hex: #808000
olivedrab = Color.from_int_triple(107, 142, 35) #: Hex: #6B8E23
orange = Color.from_int_triple(255, 165, 0) #: Hex: #FFA500
orangered = Color.from_int_triple(255, 69, 0) #: Hex: #FF4500
orchid = Color.from_int_triple(218, 112, 214) #: Hex: #DA70D6
palegoldenrod = Color.from_int_triple(238, 232, 170) #: Hex: #EEE8AA
palegreen = Color.from_int_triple(152, 251, 152) #: Hex: #98FB98
paleturquoise = Color.from_int_triple(175, 238, 238) #: Hex: #AFEEEE
palevioletred = Color.from_int_triple(219, 112, 147) #: Hex: #DB7093
papayawhip = Color.from_int_triple(255, 239, 213) #: Hex: #FFEFD5
peachpuff = Color.from_int_triple(255, 218, 185) #: Hex: #FFDAB9
peru = Color.from_int_triple(205, 133, 63) #: Hex: #CD853F
pink = Color.from_int_triple(255, 192, 203) #: Hex: #FFC0CB
plum = Color.from_int_triple(221, 160, 221) #: Hex: #DDA0DD
powderblue = Color.from_int_triple(176, 224, 230) #: Hex: #B0E0E6
purple = Color.from_int_triple(128, 0, 128) #: Hex: #800080
red = Color.from_int_triple(255, 0, 0) #: Hex: #FF0000
rosybrown = Color.from_int_triple(188, 143, 143) #: Hex: #BC8F8F
royalblue = Color.from_int_triple(65, 105, 225) #: Hex: #4169E1
saddlebrown = Color.from_int_triple(139, 69, 19) #: Hex: #8B4513
salmon = Color.from_int_triple(250, 128, 114) #: Hex: #FA8072
sandybrown = Color.from_int_triple(244, 164, 96) #: Hex: #F4A460
seagreen = Color.from_int_triple(46, 139, 87) #: Hex: #2E8B57
seashell = Color.from_int_triple(255, 245, 238) #: Hex: #FFF5EE
sienna = Color.from_int_triple(160, 82, 45) #: Hex: #A0522D
silver = Color.from_int_triple(192, 192, 192) #: Hex: #C0C0C0
skyblue = Color.from_int_triple(135, 206, 235) #: Hex: #87CEEB
slateblue = Color.from_int_triple(106, 90, 205) #: Hex: #6A5ACD
slategray = Color.from_int_triple(112, 128, 144) #: Hex: #708090
slategrey = Color.from_int_triple(112, 128, 144) #: Hex: #708090
snow = Color.from_int_triple(255, 250, 250) #: Hex: #FFFAFA
springgreen = Color.from_int_triple(0, 255, 127) #: Hex: #00FF7F
steelblue = Color.from_int_triple(70, 130, 180) #: Hex: #4682B4
tan = Color.from_int_triple(210, 180, 140) #: Hex: #D2B48C
teal = Color.from_int_triple(0, 128, 128) #: Hex: #008080
thistle = Color.from_int_triple(216, 191, 216) #: Hex: #D8BFD8
tomato = Color.from_int_triple(255, 99, 71) #: Hex: #FF6347
turquoise = Color.from_int_triple(64, 224, 208) #: Hex: #40E0D0
violet = Color.from_int_triple(238, 130, 238) #: Hex: #EE82EE
wheat = Color.from_int_triple(245, 222, 179) #: Hex: #F5DEB3
white = Color.from_int_triple(255, 255, 255) #: Hex: #FFFFFF
whitesmoke = Color.from_int_triple(245, 245, 245) #: Hex: #F5F5F5
yellow = Color.from_int_triple(255, 255, 0) #: Hex: #FFFF00
yellowgreen = Color.from_int_triple(154, 205, 50) #: Hex: #9ACD32
transparent = Color.from_int_triple(0, 0, 0, 0.0) #: Transparent black